from dataclasses import dataclass
from datetime import date
from decimal import Decimal
from uuid import UUID


@dataclass
class Transaction:
    """Represents an Actual Budget transaction to be submitted.

    See: https://actualbudget.org/docs/api/reference#transaction for field descriptions
    """

    account: UUID
    date: date
    amount: Decimal  # Note: decimal dollars, JS shim will convert to cents as described in the API
    payee: str  # imported_payee in API
    notes: str
    imported_id: str
